Save messages
curl --request POST \
--url https://sandbox.tight.com/v6/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"conversationId": "con_12345",
"text": "<string>",
"attachmentIds": [
"<string>"
]
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/messages"
payload = { "data": [
{
"conversationId": "con_12345",
"text": "<string>",
"attachmentIds": ["<string>"]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [{conversationId: 'con_12345', text: '<string>', attachmentIds: ['<string>']}]
})
};
fetch('https://sandbox.tight.com/v6/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "msg_67890",
"conversationId": "<string>",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"text": "Let's discuss the new feature requirements",
"status": "ACTIVE",
"createdDateTime": "2023-11-07T05:31:56Z",
"lastUpdatedDateTime": "2023-11-07T05:31:56Z",
"reactions": [
{
"authorInfo": [
{
"userId": "<string>",
"email": "user@example.com"
}
]
}
],
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt.pdf",
"fileName": "receipt.pdf",
"fileSize": "24 KB",
"createdDateTime": "2023-11-07T05:31:56Z",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
]
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "msg_67890",
"conversationId": "<string>",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"text": "Let's discuss the new feature requirements",
"status": "ACTIVE",
"createdDateTime": "2023-11-07T05:31:56Z",
"lastUpdatedDateTime": "2023-11-07T05:31:56Z",
"reactions": [
{
"authorInfo": [
{
"userId": "<string>",
"email": "user@example.com"
}
]
}
],
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt.pdf",
"fileName": "receipt.pdf",
"fileSize": "24 KB",
"createdDateTime": "2023-11-07T05:31:56Z",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
]
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "msg_67890",
"conversationId": "<string>",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"text": "Let's discuss the new feature requirements",
"status": "ACTIVE",
"createdDateTime": "2023-11-07T05:31:56Z",
"lastUpdatedDateTime": "2023-11-07T05:31:56Z",
"reactions": [
{
"authorInfo": [
{
"userId": "<string>",
"email": "user@example.com"
}
]
}
],
"attachments": [
{
"id": "att_894321",
"url": "https://files.example.com/attachment/receipt.pdf",
"fileName": "receipt.pdf",
"fileSize": "24 KB",
"createdDateTime": "2023-11-07T05:31:56Z",
"iconUrl": "https://cdn.sandbox.tight.com/icons/attachments/pdf.svg"
}
]
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Conversations
Save messages
Save a new set of messages
POST
/
v6
/
messages
Save messages
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I